Name:           python-freeqdsk
Version:        0.5.0
Release:        %{autorelease}
Summary:        Read and write G-EQDSK, A-EQDSK, and P-EQDSK file formats
License:        MIT
URL:            https://freeqdsk.readthedocs.io
Source0:        %{pypi_source freeqdsk}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pytest
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(fortranformat)

# setuptools-scm-git-archive is already included in setuptools-scm
Patch0:         python-freeqdsk-remove_unused_dependency.patch

%description
FreeQDSK is a Python library for reading/writing EQDSK files used to describe
plasma in tokamak fusion devices.
The following file types are currently supported:

A-EQDSK: Plasma diagnostics data
G-EQDSK: Grad-Shafranov equilibrium data
P-EQDSK: Kinetics profiles

%package -n     python3-freeqdsk
Summary:        %{summary}

%description -n python3-freeqdsk
FreeQDSK is a Python library for reading/writing EQDSK files used to describe
plasma in tokamak fusion devices.
The following file types are currently supported:

A-EQDSK: Plasma diagnostics data
G-EQDSK: Grad-Shafranov equilibrium data
P-EQDSK: Kinetics profiles


%generate_buildrequires
%pyproject_buildrequires -r


%prep
%autosetup -n freeqdsk-%{version} -p1


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files freeqdsk


%check
%pyproject_check_import
%pytest


%files -n python3-freeqdsk -f %{pyproject_files}
%doc README.md


%changelog
%{autochangelog}
